Skip to main content
`Ctrl`+`K`

# pandas.Series.set_axis

Series.set_axis(labels, *, axis=0, copy=None)

  Assign desired index to given axis.

  Indexes for row labels can be changed by assigning a list-like or Index.

  Parameters:
    labels list-like, Index

      The values for the new index.

    axis{0 or ‘index’}, default 0

      The axis to update. The value 0 identifies the rows. For Series this parameter is unused and defaults to 0.

    copy bool, default True

      Whether to make a copy of the underlying data.

      Note

      The copy keyword will change behavior in pandas 3.0. Copy-on-Write will be enabled by default, which means that all methods with a copy keyword will use a lazy copy mechanism to defer the copy and ignore the copy keyword. The copy keyword will be removed in a future version of pandas.

      You can already get the future behavior and improvements through enabling copy on write `pd.options.mode.copy_on_write = True`

  Returns:
    Series

      An object of type Series.

  See also

  `Series.rename_axis`

    Alter the name of the index.

  Examples

      >>> s = pd.Series([1, 2, 3])
      >>> s
      0    1
      1    2
      2    3
      dtype: int64

      >>> s.set_axis(['a', 'b', 'c'], axis=0)
      a    1
      b    2
      c    3
      dtype: int64